Social
Update the status of a social content draft
PATCH
/
api
/
v1
/
social
/
drafts
/
{id}
/
status
Update the status of a social content draft
curl --request PATCH \
--url https://api.thisiswhyimhigh.com/api/v1/social/drafts/{id}/status \
--header 'Content-Type: application/json' \
--data '
{
"review_notes": "<string>",
"rejection_reason": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.thisiswhyimhigh.com/api/v1/social/drafts/{id}/status"
payload = {
"review_notes": "<string>",
"rejection_reason": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
review_notes: '<string>',
rejection_reason: '<string>',
scheduled_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.thisiswhyimhigh.com/api/v1/social/drafts/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": "<unknown>",
"meta": {
"pagination": {
"limit": 0,
"offset": 0,
"total": 0,
"hasMore": true
},
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"stack": "<string>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>",
"path": "<string>",
"method": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"stack": "<string>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>",
"path": "<string>",
"method": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"stack": "<string>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>",
"path": "<string>",
"method": "<string>"
}
}Path Parameters
Body
application/json
Available options:
reviewed, approved, rejected, scheduled Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$⌘I
Update the status of a social content draft
